package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import shop.alien.entity.store.StoreStaffConfig;

import java.io.IOException;

public interface StoreStaffConfigService {

    IPage<StoreStaffConfig> getStaffConfigList(int page, int size, String status);

    int addOrUpdateStaffConfig(StoreStaffConfig storeStaffConfig);


    Integer audit(Integer id, Integer status, String rejectionReason);

    StoreStaffConfig getStaffConfigDeatail(Integer id);

    String staffConfigExport(String status) throws IOException;

    /**
     * 删除员工
     *
     * @param id
     * @return
     */
    Integer deleteStaffConfig(Integer id);

    /**
     * 置顶员工
     *
     * @param id 员工ID
     * @param topStatus 置顶状态 0-未置顶, 1-置顶
     * @return
     */
    Integer setTopStatus(Integer id, Integer topStatus);


    /**
     * 员工列表查询
     *
     * @param page    分页页数
     * @param size    分页条数
     * @param storeId 店铺ID
     * @param status  员工状态
     * @return 员工列表
     */
    IPage<StoreStaffConfig> queryStaffList(Integer page, Integer size, Integer storeId, String status);

    /**
     * 员工详情查询
     *
     * @param id 员工主键id
     * @return 员工详情
     */
    StoreStaffConfig queryStaffDetail(Integer id);
}
